Subject: Re: 28.0.50; process-send-string mysteriously exiting non-locally when called from timer

From: João Távora <[email-masked]>
Date: Thu, 10 Dec 2020 16:15:42 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: João Távora <[email-masked]>
>> Cc: [email-masked]
>> Date: Thu, 10 Dec 2020 15:00:58 +0000
>> 
>>     6       breakpoint     keep y   0x0000555555966de5 in unwind_to_catch at eval.c:1178
>>             stop only if bidi_inhibit_bpa != 0
>
> You have put the breakpoint at the point where sys_longjmp is about to
> be called, right?  But all the unwind forms are already done at that
> point, so I guess bidi_inhibit_bpa is again zero, and the breakpoint
> doesn't break.  So I suggest to move the breakpoint before the
> do-while loop in unwind_to_catch:
>

Yes! good idea! though I don't udnerstand why that breakpoint _did_ break
when I did

   (let ((bidi-inhibit-bpa t)) (error "test-error"))

Anyway, it seems process_quit_flag is being called and throwing (though
I don't see "Quit" in the *Messages*). And didn't you tell me that idle
timers run with inhibit-quit = t?  But inhibit-quit seems to be nil,
(which I also confirmed from Elisp.)  I looked in the sly source and am
quite sure I'm not binding it to nil in that circunstance.

Here are two backtraces, I'm going to try just setting inhibit-quit to
non-nil forcibly.

João

    (gdb) bt
    #0  unwind_to_catch (catch=0x555556ed0470, type=NONLOCAL_EXIT_THROW, value=XIL(0x30)) at eval.c:1167
    #1  0x0000555555966e9f in Fthrow (tag=XIL(0x2aaa9bb7f060), value=XIL(0x30)) at eval.c:1195
    #2  0x0000555555967e6f in process_quit_flag () at eval.c:1523
    #3  0x0000555555967ec0 in maybe_quit () at eval.c:1544
    #4  0x000055555596bbf0 in Ffuncall (nargs=3, args=0x7fffffff8a68) at eval.c:2767
    #5  0x00005555559f6eb4 in exec_byte_code (bytestr=XIL(0x555556f0e8a4), vector=XIL(0x555556dc5da5), maxdepth=make_fixnum(9), args_template=make_fixnum(0), nargs=0, args=0x7fffffff8f70) at bytecode.c:633
    #6  0x000055555596ca8b in funcall_lambda (fun=XIL(0x555556dc5e55), nargs=0, arg_vector=0x7fffffff8f70) at eval.c:2990
    #7  0x000055555596bd8e in Ffuncall (nargs=1, args=0x7fffffff8f68) at eval.c:2797
    #8  0x00005555559f6eb4 in exec_byte_code (bytestr=XIL(0x555556ef8764), vector=XIL(0x555556dc0255), maxdepth=make_fixnum(8), args_template=make_fixnum(257), nargs=1, args=0x7fffffff9468) at bytecode.c:633
    #9  0x000055555596ca8b in funcall_lambda (fun=XIL(0x555556dc02d5), nargs=1, arg_vector=0x7fffffff9460) at eval.c:2990
    #10 0x000055555596bd8e in Ffuncall (nargs=2, args=0x7fffffff9458) at eval.c:2797
    #11 0x00005555559f6eb4 in exec_byte_code (bytestr=XIL(0x555556ef6144), vector=XIL(0x555556dbf835), maxdepth=make_fixnum(21), args_template=make_fixnum(513), nargs=1, args=0x7fffffff9ef0) at bytecode.c:633
    #12 0x000055555596ca8b in funcall_lambda (fun=XIL(0x555556d87a55), nargs=1, arg_vector=0x7fffffff9ee8) at eval.c:2990
    #13 0x000055555596bd8e in Ffuncall (nargs=2, args=0x7fffffff9ee0) at eval.c:2797
    #14 0x00005555559f6eb4 in exec_byte_code (bytestr=XIL(0x555556f09df4), vector=XIL(0x555556d1b4b5), maxdepth=make_fixnum(18), args_template=make_fixnum(1025), nargs=2, args=0x7fffffffa390) at bytecode.c:633
    #15 0x000055555596ca8b in funcall_lambda (fun=XIL(0x555556d1b545), nargs=2, arg_vector=0x7fffffffa380) at eval.c:2990
    #16 0x000055555596c6f2 in apply_lambda (fun=XIL(0x555556d1b545), args=XIL(0x555557117b03), count=35) at eval.c:2927
    #17 0x000055555596a51c in eval_sub (form=XIL(0x555557117af3)) at eval.c:2319
    #18 0x0000555555964681 in Fprogn (body=XIL(0)) at eval.c:462
    #19 0x000055555596cf42 in funcall_lambda (fun=XIL(0x555557117bd3), nargs=2, arg_vector=0x0) at eval.c:3061
    #20 0x000055555596c6f2 in apply_lambda (fun=XIL(0x555557117403), args=XIL(0x555557110623), count=33) at eval.c:2927
    #21 0x000055555596a76b in eval_sub (form=XIL(0x555557110613)) at eval.c:2349
    #22 0x0000555555964681 in Fprogn (body=XIL(0)) at eval.c:462
    #23 0x0000555555969e80 in eval_sub (form=XIL(0x555557110333)) at eval.c:2227
    #24 0x00005555559643ec in Fif (args=XIL(0x555557110353)) at eval.c:417
    #25 0x0000555555969e80 in eval_sub (form=XIL(0x555557110363)) at eval.c:2227
    #26 0x0000555555964681 in Fprogn (body=XIL(0x555557110663)) at eval.c:462
    #27 0x000055555596456a in Fcond (args=XIL(0x55555710fc23)) at eval.c:442
    #28 0x0000555555969e80 in eval_sub (form=XIL(0x55555710fc33)) at eval.c:2227
    #29 0x0000555555964681 in Fprogn (body=XIL(0)) at eval.c:462
    #30 0x00005555559661f9 in FletX (args=XIL(0x55555710fc53)) at eval.c:919
    #31 0x0000555555969e80 in eval_sub (form=XIL(0x55555710fc63)) at eval.c:2227
    #32 0x0000555555964681 in Fprogn (body=XIL(0)) at eval.c:462
    #33 0x0000555555969e80 in eval_sub (form=XIL(0x55555710fc73)) at eval.c:2227
    #34 0x00005555559643ec in Fif (args=XIL(0x55555710fca3)) at eval.c:417
    #35 0x0000555555969e80 in eval_sub (form=XIL(0x55555710fc93)) at eval.c:2227
    #36 0x0000555555964681 in Fprogn (body=XIL(0)) at eval.c:462
    #37 0x0000555555966771 in Flet (args=XIL(0x55555710fcd3)) at eval.c:987
    #38 0x0000555555969e80 in eval_sub (form=XIL(0x55555710fce3)) at eval.c:2227
    #39 0x0000555555964681 in Fprogn (body=XIL(0)) at eval.c:462
    #40 0x0000555555969e80 in eval_sub (form=XIL(0x55555710fcf3)) at eval.c:2227
    #41 0x0000555555966f78 in Funwind_protect (args=XIL(0x55555710fd23)) at eval.c:1213
    #42 0x0000555555969e80 in eval_sub (form=XIL(0x55555710fd13)) at eval.c:2227
    #43 0x0000555555964681 in Fprogn (body=XIL(0)) at eval.c:462
    #44 0x0000555555966771 in Flet (args=XIL(0x55555710fd73)) at eval.c:987
    #45 0x0000555555969e80 in eval_sub (form=XIL(0x55555710fd83)) at eval.c:2227
    #46 0x0000555555964681 in Fprogn (body=XIL(0)) at eval.c:462
    #47 0x0000555555946222 in Fsave_excursion (args=XIL(0x55555710fda3)) at editfns.c:842
    #48 0x0000555555969e80 in eval_sub (form=XIL(0x55555710fd93)) at eval.c:2227
    #49 0x0000555555964681 in Fprogn (body=XIL(0)) at eval.c:462
    #50 0x000055555596cf42 in funcall_lambda (fun=XIL(0x55555710fe53), nargs=0, arg_vector=0x0) at eval.c:3061
    #51 0x000055555596bea1 in Ffuncall (nargs=1, args=0x7fffffffb810) at eval.c:2809
    #52 0x00005555559f6eb4 in exec_byte_code (bytestr=XIL(0x7ffff1d77b2c), vector=XIL(0x7ffff1d778ed), maxdepth=make_fixnum(4), args_template=make_fixnum(0), nargs=0, args=0x7fffffffbcd0) at bytecode.c:633
    #53 0x000055555596ca8b in funcall_lambda (fun=XIL(0x7ffff1d778bd), nargs=0, arg_vector=0x7fffffffbcd0) at eval.c:2990
    #54 0x000055555596bd8e in Ffuncall (nargs=1, args=0x7fffffffbcc8) at eval.c:2797
    #55 0x00005555559f6eb4 in exec_byte_code (bytestr=XIL(0x7ffff1d77b6c), vector=XIL(0x7ffff1d77865), maxdepth=make_fixnum(1), args_template=make_fixnum(0), nargs=0, args=0x7fffffffc2f0) at bytecode.c:633
    #56 0x000055555596ca8b in funcall_lambda (fun=XIL(0x7ffff1d7783d), nargs=0, arg_vector=0x7fffffffc2f0) at eval.c:2990
    #57 0x000055555596bd8e in Ffuncall (nargs=1, args=0x7fffffffc2e8) at eval.c:2797
    #58 0x000055555596a8cf in Fapply (nargs=2, args=0x7fffffffc2e8) at eval.c:2378
    #59 0x000055555596c1b1 in funcall_subr (subr=0x555556180000 <Sapply>, numargs=2, args=0x7fffffffc2e8) at eval.c:2848
    #60 0x000055555596bd4a in Ffuncall (nargs=3, args=0x7fffffffc2e0) at eval.c:2795
    #61 0x00005555559f6eb4 in exec_byte_code (bytestr=XIL(0x7ffff20cbe64), vector=XIL(0x7ffff20cbd2d), maxdepth=make_fixnum(10), args_template=make_fixnum(257), nargs=1, args=0x7fffffffc830) at bytecode.c:633
    #62 0x000055555596ca8b in funcall_lambda (fun=XIL(0x7ffff20cbcfd), nargs=1, arg_vector=0x7fffffffc828) at eval.c:2990
    #63 0x000055555596bd8e in Ffuncall (nargs=2, args=0x7fffffffc820) at eval.c:2797
    #64 0x000055555596b549 in call1 (fn=XIL(0xd230), arg1=XIL(0x555557357de5)) at eval.c:2655
    #65 0x00005555557f9db0 in timer_check_2 (timers=XIL(0), idle_timers=XIL(0x5555572d5d73)) at keyboard.c:4336
    #66 0x00005555557f9f06 in timer_check () at keyboard.c:4398
    #67 0x00005555557f7b2a in readable_events (flags=1) at keyboard.c:3397
    #68 0x0000555555800421 in get_input_pending (flags=1) at keyboard.c:6806
    #69 0x000055555580a12a in detect_input_pending_run_timers (do_display=true) at keyboard.c:10367
    #70 0x0000555555a1161a in wait_reading_process_output (time_limit=60, nsecs=0, read_kbd=-1, do_display=true, wait_for_cell=XIL(0), wait_proc=0x0, just_wait_proc=0) at process.c:5707
    #71 0x00005555555b31e8 in sit_for (timeout=make_fixnum(60), reading=true, display_option=1) at dispnew.c:6056
    #72 0x00005555557f51e0 in read_char (commandflag=1, map=XIL(0x5555572d5e53), prev_event=XIL(0), used_mouse_menu=0x7fffffffd195, end_time=0x0) at keyboard.c:2738
    #73 0x0000555555807fc2 in read_key_sequence (keybuf=0x7fffffffd380, prompt=XIL(0), dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=false) at keyboard.c:9553
    #74 0x00005555557f07c1 in command_loop_1 () at keyboard.c:1350
    #75 0x0000555555967843 in internal_condition_case (bfun=0x5555557f0323 <command_loop_1>, handlers=XIL(0x90), hfun=0x5555557ef8d3 <cmd_error>) at eval.c:1356
    #76 0x00005555557efee4 in command_loop_2 (ignore=XIL(0)) at keyboard.c:1091
    #77 0x0000555555966c26 in internal_catch (tag=XIL(0xd500), func=0x5555557efeb3 <command_loop_2>, arg=XIL(0)) at eval.c:1117
    #78 0x00005555557efe7e in command_loop () at keyboard.c:1070
    #79 0x00005555557ef39a in recursive_edit_1 () at keyboard.c:714
    #80 0x00005555557ef59a in Frecursive_edit () at keyboard.c:786
    #81 0x00005555557e4fc9 in main (argc=11, argv=0x7fffffffd808) at emacs.c:2062
     
    Lisp Backtrace:
    "sly-connection" (0xffff8f70)
    "sly-send" (0xffff9460)
    "sly-dispatch-event" (0xffff9ee8)
    "sly-eval-async" (0xffffa380)
    "sly-autodoc--async" (0xffffa5d0)
    "progn" (0xffffa7b0)
    "if" (0xffffa8f0)
    "cond" (0xffffaa60)
    "let*" (0xffffac00)
    "progn" (0xffffad30)
    "if" (0xffffae70)
    "let" (0xffffb050)
    "progn" (0xffffb180)
    "unwind-protect" (0xffffb2b0)
    "let" (0xffffb490)
    "save-excursion" (0xffffb5f0)
    "sly-autodoc" (0xffffb818)
    "eldoc-print-current-symbol-info" (0xffffbcd0)
    0xf1d77838 PVEC_COMPILED
    "apply" (0xffffc2e8)
    "timer-event-handler" (0xffffc828)
    (gdb)

Here's another one
    
   Thread 1 "emacs" hit Breakpoint 3, unwind_to_catch (catch=0x555556f35d10, type=NONLOCAL_EXIT_THROW, value=XIL(0x30)) at eval.c:1167
   1167	      unbind_to (handlerlist->pdlcount, Qnil);
   (gdb) bt
   #0  unwind_to_catch (catch=0x555556f35d10, type=NONLOCAL_EXIT_THROW, value=XIL(0x30)) at eval.c:1167
   #1  0x0000555555966e9f in Fthrow (tag=XIL(0x2aaa9bb7f060), value=XIL(0x30)) at eval.c:1195
   #2  0x0000555555967e6f in process_quit_flag () at eval.c:1523
   #3  0x0000555555967ec0 in maybe_quit () at eval.c:1544
   #4  0x00005555559ba8d4 in print_object (obj=XIL(0x5555572d1044), printcharfun=XIL(0), escapeflag=true) at print.c:1938
   #5  0x00005555559bbced in print_object (obj=XIL(0x5555571805e3), printcharfun=XIL(0), escapeflag=true) at print.c:2122
   #6  0x00005555559bbced in print_object (obj=XIL(0x555557197333), printcharfun=XIL(0), escapeflag=true) at print.c:2122
   #7  0x00005555559bbced in print_object (obj=XIL(0x555557197253), printcharfun=XIL(0), escapeflag=true) at print.c:2122
   #8  0x00005555559bbced in print_object (obj=XIL(0x555557196d83), printcharfun=XIL(0), escapeflag=true) at print.c:2122
   #9  0x00005555559b7956 in print (obj=XIL(0x555557196b33), printcharfun=XIL(0), escapeflag=true) at print.c:1147
   #10 0x00005555559b54e7 in Fprin1_to_string (object=XIL(0x555557196b33), noescape=XIL(0)) at print.c:685
   #11 0x000055555596c300 in funcall_subr (subr=0x555556182840 <Sprin1_to_string>, numargs=1, args=0x7fffffff8598) at eval.c:2870
   #12 0x000055555596bd4a in Ffuncall (nargs=2, args=0x7fffffff8590) at eval.c:2795
   #13 0x00005555559f6eb4 in exec_byte_code (bytestr=XIL(0x555556ec99b4), vector=XIL(0x555556dc5c85), maxdepth=make_fixnum(5), args_template=make_fixnum(257), nargs=1, args=0x7fffffff8a50) at bytecode.c:633
   #14 0x000055555596ca8b in funcall_lambda (fun=XIL(0x555556dc5cc5), nargs=1, arg_vector=0x7fffffff8a48) at eval.c:2990
   #15 0x000055555596bd8e in Ffuncall (nargs=2, args=0x7fffffff8a40) at eval.c:2797
   #16 0x00005555559f6eb4 in exec_byte_code (bytestr=XIL(0x555556f01344), vector=XIL(0x555556e22ed5), maxdepth=make_fixnum(13), args_template=make_fixnum(514), nargs=2, args=0x7fffffff8f70) at bytecode.c:633
   #17 0x000055555596ca8b in funcall_lambda (fun=XIL(0x555556e22f85), nargs=2, arg_vector=0x7fffffff8f60) at eval.c:2990
   #18 0x000055555596bd8e in Ffuncall (nargs=3, args=0x7fffffff8f58) at eval.c:2797
   #19 0x00005555559f6eb4 in exec_byte_code (bytestr=XIL(0x555556ed6724), vector=XIL(0x555556de7f15), maxdepth=make_fixnum(8), args_template=make_fixnum(257), nargs=1, args=0x7fffffff9468) at bytecode.c:633
   #20 0x000055555596ca8b in funcall_lambda (fun=XIL(0x555556dc9335), nargs=1, arg_vector=0x7fffffff9460) at eval.c:2990
   #21 0x000055555596bd8e in Ffuncall (nargs=2, args=0x7fffffff9458) at eval.c:2797
   #22 0x00005555559f6eb4 in exec_byte_code (bytestr=XIL(0x555556ebfa04), vector=XIL(0x555556de74c5), maxdepth=make_fixnum(21), args_template=make_fixnum(513), nargs=1, args=0x7fffffff9ef0) at bytecode.c:633
   #23 0x000055555596ca8b in funcall_lambda (fun=XIL(0x555556dc9285), nargs=1, arg_vector=0x7fffffff9ee8) at eval.c:2990
   #24 0x000055555596bd8e in Ffuncall (nargs=2, args=0x7fffffff9ee0) at eval.c:2797
   #25 0x00005555559f6eb4 in exec_byte_code (bytestr=XIL(0x555556ece464), vector=XIL(0x555556dc0015), maxdepth=make_fixnum(18), args_template=make_fixnum(1025), nargs=2, args=0x7fffffffa390) at bytecode.c:633
   #26 0x000055555596ca8b in funcall_lambda (fun=XIL(0x555556dc00a5), nargs=2, arg_vector=0x7fffffffa380) at eval.c:2990
   #27 0x000055555596c6f2 in apply_lambda (fun=XIL(0x555556dc00a5), args=XIL(0x55555711a753), count=35) at eval.c:2927
   #28 0x000055555596a51c in eval_sub (form=XIL(0x55555711a743)) at eval.c:2319
   #29 0x0000555555964681 in Fprogn (body=XIL(0)) at eval.c:462
   #30 0x000055555596cf42 in funcall_lambda (fun=XIL(0x55555711a043), nargs=2, arg_vector=0x0) at eval.c:3061
   #31 0x000055555596c6f2 in apply_lambda (fun=XIL(0x55555711a053), args=XIL(0x555557113273), count=33) at eval.c:2927
   #32 0x000055555596a76b in eval_sub (form=XIL(0x555557113263)) at eval.c:2349
   #33 0x0000555555964681 in Fprogn (body=XIL(0)) at eval.c:462
   #34 0x0000555555969e80 in eval_sub (form=XIL(0x555557112f83)) at eval.c:2227
   #35 0x00005555559643ec in Fif (args=XIL(0x555557112fa3)) at eval.c:417
   #36 0x0000555555969e80 in eval_sub (form=XIL(0x555557112fb3)) at eval.c:2227
   #37 0x0000555555964681 in Fprogn (body=XIL(0x5555571132b3)) at eval.c:462
   #38 0x000055555596456a in Fcond (args=XIL(0x555557112873)) at eval.c:442
   #39 0x0000555555969e80 in eval_sub (form=XIL(0x555557112883)) at eval.c:2227
   #40 0x0000555555964681 in Fprogn (body=XIL(0)) at eval.c:462
   #41 0x00005555559661f9 in FletX (args=XIL(0x5555571128a3)) at eval.c:919
   #42 0x0000555555969e80 in eval_sub (form=XIL(0x5555571128b3)) at eval.c:2227
   #43 0x0000555555964681 in Fprogn (body=XIL(0)) at eval.c:462
   #44 0x0000555555969e80 in eval_sub (form=XIL(0x5555571128c3)) at eval.c:2227
   #45 0x00005555559643ec in Fif (args=XIL(0x5555571128f3)) at eval.c:417
   #46 0x0000555555969e80 in eval_sub (form=XIL(0x5555571128e3)) at eval.c:2227
   #47 0x0000555555964681 in Fprogn (body=XIL(0)) at eval.c:462
   #48 0x0000555555966771 in Flet (args=XIL(0x555557112923)) at eval.c:987
   #49 0x0000555555969e80 in eval_sub (form=XIL(0x555557112933)) at eval.c:2227
   #50 0x0000555555964681 in Fprogn (body=XIL(0)) at eval.c:462
   #51 0x0000555555969e80 in eval_sub (form=XIL(0x555557112943)) at eval.c:2227
   #52 0x0000555555966f78 in Funwind_protect (args=XIL(0x555557112973)) at eval.c:1213
   #53 0x0000555555969e80 in eval_sub (form=XIL(0x555557112963)) at eval.c:2227
   #54 0x0000555555964681 in Fprogn (body=XIL(0)) at eval.c:462
   #55 0x0000555555966771 in Flet (args=XIL(0x5555571129c3)) at eval.c:987
   #56 0x0000555555969e80 in eval_sub (form=XIL(0x5555571129d3)) at eval.c:2227
   #57 0x0000555555964681 in Fprogn (body=XIL(0)) at eval.c:462
   #58 0x0000555555946222 in Fsave_excursion (args=XIL(0x5555571129f3)) at editfns.c:842
   #59 0x0000555555969e80 in eval_sub (form=XIL(0x5555571129e3)) at eval.c:2227
   #60 0x0000555555964681 in Fprogn (body=XIL(0)) at eval.c:462
   #61 0x000055555596cf42 in funcall_lambda (fun=XIL(0x555557112aa3), nargs=0, arg_vector=0x0) at eval.c:3061
   #62 0x000055555596bea1 in Ffuncall (nargs=1, args=0x7fffffffb810) at eval.c:2809
   #63 0x00005555559f6eb4 in exec_byte_code (bytestr=XIL(0x7ffff1d77b2c), vector=XIL(0x7ffff1d778ed), maxdepth=make_fixnum(4), args_template=make_fixnum(0), nargs=0, args=0x7fffffffbcd0) at bytecode.c:633
   #64 0x000055555596ca8b in funcall_lambda (fun=XIL(0x7ffff1d778bd), nargs=0, arg_vector=0x7fffffffbcd0) at eval.c:2990
   #65 0x000055555596bd8e in Ffuncall (nargs=1, args=0x7fffffffbcc8) at eval.c:2797
   #66 0x00005555559f6eb4 in exec_byte_code (bytestr=XIL(0x7ffff1d77b6c), vector=XIL(0x7ffff1d77865), maxdepth=make_fixnum(1), args_template=make_fixnum(0), nargs=0, args=0x7fffffffc2f0) at bytecode.c:633
   #67 0x000055555596ca8b in funcall_lambda (fun=XIL(0x7ffff1d7783d), nargs=0, arg_vector=0x7fffffffc2f0) at eval.c:2990
   #68 0x000055555596bd8e in Ffuncall (nargs=1, args=0x7fffffffc2e8) at eval.c:2797
   #69 0x000055555596a8cf in Fapply (nargs=2, args=0x7fffffffc2e8) at eval.c:2378
   #70 0x000055555596c1b1 in funcall_subr (subr=0x555556180000 <Sapply>, numargs=2, args=0x7fffffffc2e8) at eval.c:2848
   #71 0x000055555596bd4a in Ffuncall (nargs=3, args=0x7fffffffc2e0) at eval.c:2795
   #72 0x00005555559f6eb4 in exec_byte_code (bytestr=XIL(0x7ffff20cbe64), vector=XIL(0x7ffff20cbd2d), maxdepth=make_fixnum(10), args_template=make_fixnum(257), nargs=1, args=0x7fffffffc830) at bytecode.c:633
   #73 0x000055555596ca8b in funcall_lambda (fun=XIL(0x7ffff20cbcfd), nargs=1, arg_vector=0x7fffffffc828) at eval.c:2990
   #74 0x000055555596bd8e in Ffuncall (nargs=2, args=0x7fffffffc820) at eval.c:2797
   #75 0x000055555596b549 in call1 (fn=XIL(0xd230), arg1=XIL(0x555557356765)) at eval.c:2655
   #76 0x00005555557f9db0 in timer_check_2 (timers=XIL(0), idle_timers=XIL(0x555557181453)) at keyboard.c:4336
   #77 0x00005555557f9f06 in timer_check () at keyboard.c:4398
   #78 0x00005555557f7b2a in readable_events (flags=1) at keyboard.c:3397
   #79 0x0000555555800421 in get_input_pending (flags=1) at keyboard.c:6806
   #80 0x000055555580a12a in detect_input_pending_run_timers (do_display=true) at keyboard.c:10367
   #81 0x0000555555a1161a in wait_reading_process_output (time_limit=60, nsecs=0, read_kbd=-1, do_display=true, wait_for_cell=XIL(0), wait_proc=0x0, just_wait_proc=0) at process.c:5707
   #82 0x00005555555b31e8 in sit_for (timeout=make_fixnum(60), reading=true, display_option=1) at dispnew.c:6056
   #83 0x00005555557f51e0 in read_char (commandflag=1, map=XIL(0x5555571619d3), prev_event=XIL(0), used_mouse_menu=0x7fffffffd195, end_time=0x0) at keyboard.c:2738
   #84 0x0000555555807fc2 in read_key_sequence (keybuf=0x7fffffffd380, prompt=XIL(0), dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=false) at keyboard.c:9553
   #85 0x00005555557f07c1 in command_loop_1 () at keyboard.c:1350
   #86 0x0000555555967843 in internal_condition_case (bfun=0x5555557f0323 <command_loop_1>, handlers=XIL(0x90), hfun=0x5555557ef8d3 <cmd_error>) at eval.c:1356
   #87 0x00005555557efee4 in command_loop_2 (ignore=XIL(0)) at keyboard.c:1091
   #88 0x0000555555966c26 in internal_catch (tag=XIL(0xd500), func=0x5555557efeb3 <command_loop_2>, arg=XIL(0)) at eval.c:1117
   #89 0x00005555557efe7e in command_loop () at keyboard.c:1070
   #90 0x00005555557ef39a in recursive_edit_1 () at keyboard.c:714
   #91 0x00005555557ef59a in Frecursive_edit () at keyboard.c:786
   #92 0x00005555557e4fc9 in main (argc=11, argv=0x7fffffffd808) at emacs.c:2062
    
   Lisp Backtrace:
   "prin1-to-string" (0xffff8598)
   "sly-prin1-to-string" (0xffff8a48)
   "sly-net-send" (0xffff8f60)
   "sly-send" (0xffff9460)
   "sly-dispatch-event" (0xffff9ee8)
   "sly-eval-async" (0xffffa380)
   "sly-autodoc--async" (0xffffa5d0)
   "progn" (0xffffa7b0)
   "if" (0xffffa8f0)
   "cond" (0xffffaa60)
   "let*" (0xffffac00)
   "progn" (0xffffad30)
   "if" (0xffffae70)
   "let" (0xffffb050)
   "progn" (0xffffb180)
   "unwind-protect" (0xffffb2b0)
   "let" (0xffffb490)
   "save-excursion" (0xffffb5f0)
   "sly-autodoc" (0xffffb818)
   "eldoc-print-current-symbol-info" (0xffffbcd0)
   0xf1d77838 PVEC_COMPILED
   "apply" (0xffffc2e8)
   "timer-event-handler" (0xffffc828)
   (gdb)